# Integrating the front-end SDK

Install `@proven-network/proven-dapp-toolkit` via package manager in your front-end codebase.

Update initialisation of RadixDappToolkit like so:

```javascript
// Replace this:
import {
  RadixDappToolkit,
  RadixNetwork,
  createLogger,
} from '@radixdlt/radix-dapp-toolkit';

const radixDappToolkit = RadixDappToolkit({
  networkId: RadixNetwork.Stokenet,
  dAppDefinitionAddress: "account_tdx_2_12y7ue9sslrkpywpgqyu3nj8cut0uu5arpr7qyalz7y9j7j5q4ayhv6",
  logger: createLogger(2),
})

// With this:
import ProvenDappToolkit from '@proven-network/proven-dapp-toolkit';
import {
  RadixNetwork,
  createLogger,
} from '@radixdlt/radix-dapp-toolkit';

const [radixDappToolkit, provenDappToolkit] = ProvenDappToolkit({
  networkId: RadixNetwork.Stokenet,
  dAppDefinitionAddress: "account_tdx_2_12y7ue9sslrkpywpgqyu3nj8cut0uu5arpr7qyalz7y9j7j5q4ayhv6",
  logger: createLogger(2),
})
```

Ensure that your data request is asking for proofs for the persona (and optionally for the accounts)

```javascript
radixDappToolkit.walletApi.setRequestData(
  // Persona proof is required - note the .withProof()
  DataRequestBuilder.persona().withProof(),
  // Accounts optional but should be proofed if business logic relies on token balances
  DataRequestBuilder.accounts().atLeast(1).withProof()
)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.proven.network/integrating-the-front-end-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
